Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdfviewer
Class PageWrapper

    java.lang.Object
      org.pdfbox.pdfviewer.PageWrapper

All Implemented Interfaces:
  EventListener, MouseMotionListener

public class PageWrapper
extends Object
implements MouseMotionListener

A class to handle some prettyness around a single PDF page.

Version:
  $Revision: 1.4 $
Author:
  Ben Litchfield (ben@benlitchfield.com)

Constructor Summary
`PageWrapper(PDFReader aReader)` Constructor.

Method Summary
`void` | `displayPage(PDPage page)` This will display the PDF page in this component.
`JPanel` | `getPanel()` This will get the JPanel that can be displayed.
`void` | `mouseDragged(MouseEvent e)`
`void` | `mouseMoved(MouseEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageWrapper

    public PageWrapper(PDFReader aReader)
                throws IOException

  Constructor.

Parameters:
  `aReader` - The reader application that holds this page.
Throws:
  `IOException` - If there is an error creating the page drawing objects.

Method Detail

### displayPage

    public void displayPage(PDPage page)

  This will display the PDF page in this component.

  Parameters:
    `page` - The PDF page to display.

### getPanel

    public JPanel getPanel()

  This will get the JPanel that can be displayed.

  Returns:
    The panel with the displayed PDF page.

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  See Also:
    `MouseMotionListener.mouseDragged(MouseEvent)`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`
  See Also:
    `MouseMotionListener.mouseMoved( MouseEvent )`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD